Docs
Get an API key
API reference›Vector Store

Add Collection Item

POST /v1/vector_store/{id}/items View .md

Adds an item to a vector store collection.

  • id string required

    The ID of the vector store collection.

Add Vector Store Item Request Payload

  • content string required

    The text to be converted into embeddings and stored in the vector store collection.

  • description string

    A description of the contents in this collection item record. If omitted, this value will default to a shortened version of the text stored in the collection.

  • auto_chunk boolean

    Indicates whether the system will automatically chunk the content if it exceeds the embeddings model's maximum sequence length. If set to true, the content will be split into 300 token chunks with 20 tokens of overlap before and after each piece.

OK

application/json

curl https://api.vultrinference.com/v1/vector_store/{id}/items \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "content": "string"
  }'
Response · 201
{
    "item": {
        "id": "string",
        "created": "string",
        "description": "string",
        "content": "string"
    },
    "usage": {
        "prompt_tokens": 0,
        "total_tokens": 0
    }
}